Ubuntu-insights: ubuntu-insights(1)

NAME
ubuntu-insights-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS
ubuntu-insights completion zsh [flags]

DESCRIPTION
Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:

    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:

    source <(ubuntu-insights completion zsh)

To load completions for every new session, execute once:

  Linux:
    ubuntu-insights completion zsh > "${fpath[1]}/_ubuntu-insights"

  macOS:
    ubuntu-insights completion zsh > $(brew --prefix)/share/zsh/site-functions/_ubuntu-insights

You will need to start a new shell for this setup to take effect.

OPTIONS
-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    use a specific configuration file

--consent-dir=""
    the base directory of the consent state files

--insights-dir=""
    the base directory of the insights report cache

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv)

SEE ALSO
ubuntu-insights-completion(1)

HISTORY
5-Jan-2026 Auto generated by spf13/cobra